# eric3.Checks.SyntaxCheckerDialog

Module implementing a simple Python syntax checker.

### Classes

SyntaxCheckerDialog | Class implementing a dialog to display the results of a syntax check run.

### Functions

None

## SyntaxCheckerDialog

Class implementing a dialog to display the results of a syntax check run.

### Derived from

SyntaxCheckerForm

### Methods

SyntaxCheckerDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
clearErrors | Private method to clear all error markers of open editors.
finish | Private slot called when the syntax check finished or the user pressed the button.
handleShow | Private slot to handle the "Show" button press.
openFile | Private slot to handle the doubleClicked signal of the result list.
start | Public slot to start the syntax check.

### SyntaxCheckerDialog (Constructor)

SyntaxCheckerDialog(viewmanager, parent = None)

Constructor

viewmanager
  Reference to the viewmanager object.
parent
  The parent widget. (QWidget)

### SyntaxCheckerDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### SyntaxCheckerDialog.clearErrors

clearErrors()

Private method to clear all error markers of open editors.

### SyntaxCheckerDialog.finish

finish()

Private slot called when the syntax check finished or the user pressed the button.

### SyntaxCheckerDialog.handleShow

handleShow()

Private slot to handle the "Show" button press.

### SyntaxCheckerDialog.openFile

openFile(itm)

Private slot to handle the doubleClicked signal of the result list.

itm
  Reference to the item, that was double clicked.

### SyntaxCheckerDialog.start

start(fn)

Public slot to start the syntax check.

fn
  File or list of files or directory to be checked (string or list of strings)

Up